<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Drivers_V9 StructType
 * @subpackage Structs
 */
class Get_Drivers_V9 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DriverSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\PersonSelection_V5
     */
    public $DriverSelection;
    /**
     * Constructor method for Get_Drivers_V9
     * @uses Get_Drivers_V9::setLogin()
     * @uses Get_Drivers_V9::setDriverSelection()
     * @param \StructType\Login $login
     * @param \StructType\PersonSelection_V5 $driverSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\PersonSelection_V5 $driverSelection = null)
    {
        $this
            ->setLogin($login)
            ->setDriverSelection($driverSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Drivers_V9
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DriverSelection value
     * @return \StructType\PersonSelection_V5|null
     */
    public function getDriverSelection()
    {
        return $this->DriverSelection;
    }
    /**
     * Set DriverSelection value
     * @param \StructType\PersonSelection_V5 $driverSelection
     * @return \StructType\Get_Drivers_V9
     */
    public function setDriverSelection(\StructType\PersonSelection_V5 $driverSelection = null)
    {
        $this->DriverSelection = $driverSelection;
        return $this;
    }
}
